summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD30
2 files changed, 46 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..6cf6b9eba39
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = urbit-git
+ pkgdesc = An Operating Function
+ pkgver = 71085e0
+ pkgrel = 1
+ url = http://www.urbit.org
+ arch = i686
+ arch = x86_64
+ license = public_domain
+ depends = libsigsegv
+ depends = termcap
+ depends = openssl
+ source = urbit::git+https://github.com/urbit/urbit
+ sha1sums = SKIP
+
+pkgname = urbit-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..d2488d32c94
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,30 @@
+# Maintainer: Daniel Nagy <danielnagy at gmx de>
+
+pkgname=urbit-git
+_gitname=urbit
+pkgver=71085e0
+pkgrel=1
+pkgdesc="An Operating Function"
+url="http://www.urbit.org"
+arch=("i686" "x86_64")
+license=( "public_domain" )
+depends=( "libsigsegv" "termcap" "openssl" )
+source=( $_gitname"::git+https://github.com/urbit/urbit" )
+sha1sums=( 'SKIP' )
+
+pkgver() {
+ cd $srcdir/$_gitname
+ local ver="$(git describe --always)"
+ printf "%s" "${ver//-/.}"
+}
+
+build() {
+ cd "$srcdir/$_gitname"
+ make || true # first time it fails
+ make
+}
+
+package() {
+ cd "$srcdir/$_gitname"
+ make debinstall DESTDIR="$pkgdir"
+}